<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Uom extends MY_Controller {
	
	function __construct()
	{
		parent::__construct();
		
		$this->load->model('uom_mdl','mdl');
	}
	
	public function index()
	{		
		$data = array(
			'title' 	=> 	'Unit Of Measure',
			'content' 	=> 	'uom/uom_frm',
			't'			=>	$this->session->userdata('t'),
			'u'			=>	$this->session->userdata('u'),
			'h'			=>	$this->session->userdata('h')
			);		
		$this->load('tpl',$data['content'], $data);
		$this->load->view('uom/uom_frm_cjs');
		$this->load->view('uom/uom_frm_mjs');
		
	}
	
	function grid(){
		$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 100;	
		$key = $_REQUEST["q"];
		$rs = $this->mdl->getPaging($page,$rows,$key);
		
		echo json_encode($rs);
	}
	
	function gridAll(){
		$key = $_REQUEST["q"];
		$rs = $this->mdl->getAll($key);
		
		echo json_encode($rs);
	}
	
	function getform($cmd){
		$form_data = $this->input->post();
		$id=$form_data['id'];
		unset($form_data['id']);
		if ($cmd=="add"){	
			$this->add($form_data);	
		} else {
			$this->edit($form_data,$id);
		}
	}
	
	function cetak()
	{
		ini_set('memory_limit', '-1');
		
		$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 100;	
		$key = $_REQUEST["q"];
		
		$data = array(
			'title' => 	'Unit Of Measure',
			'rs' 	=> 	$this->mdl->getPaging($page,$rows,$key),
		);	
		
		$this->load->view('uom/print',$data);
		
	}
	
	function excel()
	{
		ini_set('memory_limit', '-1');
		
		$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 100;	
		$key = $_REQUEST["q"];
		
		$data = array(
			'title' => 	'Unit Of Measure',
			'rs' 	=> 	$this->mdl->getPaging($page,$rows,$key),
		);
		
		$filename ="Unit Of Measure.xls";
		header('Content-type: application/ms-excel');
		header('Content-Disposition: attachment; filename='.$filename);
		$this->load->view('uom/print',$data);
	}
}